Summary:       A python SOAP client modified for usage with Czech Databox
Name:          python-sudsds
Version:       1.0.1
Release:       13%{?dist}
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/sudsds-%{version}.tar.gz
License:       LGPLv3+
Group:         Development/Libraries
BuildArch:     noarch
BuildRequires: python2-devel
URL:           https://labs.nic.cz/page/969/datovka/

%global _description\
sudsds is a fork of the suds library modified to meet the needs for\
interaction with the servers of Czech Databox. The modifications\
are related to HTTPS proxy, server certificate validation and other\
SSL related functions.

%description %_description

%package -n python2-sudsds
Summary: %summary
%{?python_provide:%python_provide python2-sudsds}

%description -n python2-sudsds %_description

%prep
%setup -q -n sudsds-%{version}

%build
%py2_build

%install
%py2_install

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/sudsds/{README,LICENSE.txt}
rmdir %{buildroot}%{_datadir}/sudsds

%files -n python2-sudsds
%license LICENSE.txt
%doc README
%{python2_sitelib}/suds*.egg-info
%dir %{python2_sitelib}/sudsds
%dir %{python2_sitelib}/sudsds/bindings
%dir %{python2_sitelib}/sudsds/sax
%dir %{python2_sitelib}/sudsds/xsd
%dir %{python2_sitelib}/sudsds/mx
%dir %{python2_sitelib}/sudsds/umx
%dir %{python2_sitelib}/sudsds/transport
%{python2_sitelib}/sudsds/*.py*
%{python2_sitelib}/sudsds/bindings/*.py*
%{python2_sitelib}/sudsds/sax/*.py*
%{python2_sitelib}/sudsds/xsd/*.py*
%{python2_sitelib}/sudsds/mx/*.py*
%{python2_sitelib}/sudsds/umx/*.py*
%{python2_sitelib}/sudsds/transport/*.py*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Aug 25 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.1-11
- Add a build-time dependency in python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-10
- Python 2 binary package renamed to python2-sudsds
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.1-5
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0.1-1
- New version

* Mon Sep 17 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-2
- Removed old EPEL stubs (it is currently not intended for old EPELs)
- Fixed buildroot macro
- Replaced python call with macro

* Tue Sep 04 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-1
- Initial commit

